| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
iolink::SpatialCalibrationProperty Class Referencefinal

This Property is used to represent the image properties in world space. More...

`#include <iolink/property/SpatialCalibrationProperty.h>`

## Public Member Functions
| SpatialCalibrationProperty ()
| Initialize the property with default values.
| SpatialCalibrationProperty (const Vector3d &origin)
| Initialize the property with only a custom origin.
| SpatialCalibrationProperty (const Vector3d &origin, const Vector3d &spacing)
| Initialize a calibration property with an origin and a spacing.
| SpatialCalibrationProperty (const Vector3d &origin, const Vector3d &spacing, const SpatialDirections &direction)
| Initialize a calibration without a specific unit.
| SpatialCalibrationProperty (const Vector3d &origin, const Vector3d &spacing, const SpatialDirections &direction, const std::string &unit)
| Initialize a calibration property.
| SpatialCalibrationProperty (const SpatialCalibrationProperty &other)
| Copy constructor.
SpatialCalibrationProperty & | operator= (const SpatialCalibrationProperty &other)
| Assignment operator.
| SpatialCalibrationProperty (SpatialCalibrationProperty &&other) noexcept
| Move constructor.
SpatialCalibrationProperty & | operator= (SpatialCalibrationProperty &&other) noexcept
| Move assignment operator.
| ~SpatialCalibrationProperty ()
| Destructor.
const Vector3d & | origin () const
| Get the origin.
const Vector3d & | spacing () const
| Get the spacing.
const SpatialDirections & | directions () const
| Get the spatial axis system.
const std::string & | unit () const
| Get the unit.
void | setOrigin (const Vector3d &origin)
| Set the origin.
void | setSpacing (const Vector3d &spacing)
| Set the spacing.
void | setDirections (const SpatialDirections &directions)
| Set the directions.
void | setUnit (const std::string &unit)
| Set the unit.
bool | operator== (const SpatialCalibrationProperty &other) const
| Equality operator.
bool | operator!= (const SpatialCalibrationProperty &other) const
| Not Equality operator.
std::string | toString () const
| Return string representation.

## Detailed Description

This Property is used to represent the image properties in world space.

- origin: the position of the image in space.
- spacing: the size of samples along each axis.
- orientation: the direction cosines among each axis.
- unit: the unit of the three axes defined by the precedent attributes.

The units are described by a string following a basic convention: Abridged units names, "cm" for centimeters or "in" for inches for example. If there is no commonly used abridged unit, just use the unit name. No punctuation at the end, unless it is part of the abridged notation.

If the dimension has no unit, it is described by the empty string.

Some examples:

- "µm" for micrometers
- "ft" for foot
- "mi" for a mile
- "Å" for angstrom
- "min" for minute

## Constructor & Destructor Documentation

## ◆ SpatialCalibrationProperty() [1/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( |  | ) |

Initialize the property with default values.

- origin: {0.0, 0.0, 0.0}
- spacing: {1.0, 1.0, 1.0}
- orientation: {1.0, 1.0, 1.0}
- unit: ""

## ◆ SpatialCalibrationProperty() [2/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( | const Vector3d & | origin | ) |
| explicit

Initialize the property with only a custom origin.

Parameters

  origin | origin the origin of the calibration

## ◆ SpatialCalibrationProperty() [3/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( | const Vector3d & | origin,
|  | const Vector3d & | spacing
| ) |  |

Initialize a calibration property with an origin and a spacing.

Parameters

  origin | The origin position of the ImageView.
  spacing | The size of each element of the raster grid.

## ◆ SpatialCalibrationProperty() [4/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( | const Vector3d & | origin,
|  | const Vector3d & | spacing,
|  | const SpatialDirections & | direction
| ) |  |

Initialize a calibration without a specific unit.

Parameters

  origin | The origin position of the ImageView.
  spacing | The size of each element of the raster grid.
  direction | The directions for each axes.

## ◆ SpatialCalibrationProperty() [5/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( | const Vector3d & | origin,
|  | const Vector3d & | spacing,
|  | const SpatialDirections & | direction,
|  | const std::string & | unit
| ) |  |

Initialize a calibration property.

Parameters

  origin | The origin position of the ImageView.
  spacing | The size of each element of the raster grid.
  direction | The directions for each axes.
  unit | The unit of the axes.

## ◆ SpatialCalibrationProperty() [6/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( | const SpatialCalibrationProperty & | other | ) |

Copy constructor.

Parameters

  other | The calibration to copy

## ◆ SpatialCalibrationProperty() [7/7]

iolink::SpatialCalibrationProperty::SpatialCalibrationProperty | ( | SpatialCalibrationProperty && | other | ) |
| noexcept

Move constructor.

Parameters

  other | The calibration to copy

## Member Function Documentation

## ◆ operator!=()

bool iolink::SpatialCalibrationProperty::operator!= | ( | const SpatialCalibrationProperty & | other | ) | const

Not Equality operator.

Parameters

  other | calibration property to compare to current one

## ◆ operator=() [1/2]

SpatialCalibrationProperty & iolink::SpatialCalibrationProperty::operator= | ( | const SpatialCalibrationProperty & | other | ) |

Assignment operator.

Parameters

  other | The calibration to copy

## ◆ operator=() [2/2]

SpatialCalibrationProperty & iolink::SpatialCalibrationProperty::operator= | ( | SpatialCalibrationProperty && | other | ) |
| noexcept

Move assignment operator.

Parameters

  other | The calibration to copy

## ◆ operator==()

bool iolink::SpatialCalibrationProperty::operator== | ( | const SpatialCalibrationProperty & | other | ) | const

Equality operator.

Parameters

  other | calibration property to compare to current one

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/property/SpatialCalibrationProperty.h